pAVrecord, Precord, VLC-GTK, cursor_themes

I have updated these PETs:

pAVrecord 0.9.1
Precord 8.1.4
VLC-GTK 2.5.9

Forum member bigpup reported that Pcur, the mouse cursor selector, does not properly identify where to obtain the cursor theme PET.
I fixed that, and also have placed the 'cursor_themes' PET into the 'noarch' repo.


Posted on 20 Oct 2012, 8:05


Comments:

Posted on 21 Oct 2012, 16:21 by scottman
VLC-GTK stable
Hi Barry,

Sorry to do this, but VLC-GTK is now at 2.6, it is a major update, mostly a bugfix release.

I will definitely leave VLC-GTK at 2.6 for a while...


Posted on 21 Oct 2012, 17:05 by BarryK
Re VLC-GTK 2.6
sc0ttman,
OK, I have updated it.

Note, I had to modify it.

pinstall.sh script, so only executes when PET is installed in a running Puppy:
#!/bin/sh


if [ "`pwd`" = "/" ];then
#REMOVE OLD RIGHT CLICK OPTIONS
find root/.config/rox.sourceforge.net/OpenWith/.*/ | grep "VLC-gtk" > tmp/vlc-gtk_install.txt
find root/.config/rox.sourceforge.net/OpenWith/.*/ | grep "VLC_nogui" >> tmp/vlc-gtk_install.txt
cat tmp/vlc-gtk_install.txt | grep -i 'VLC' |grep -v '\.\./OpenWith' | grep -v 'OpenWith/\./\.' |while read LINE; do rm -v "$LINE"; done
rm -f tmp/vlc-gtk_install.txt
fi


The PET is built with an obsolete "specs" file. All puppies for quite some time now require a file "pet.specs" in the top-level inside the PET.
Here is the pet.specs I created for vlc-gtk:

vlc-gtk-2.6|vlc-gtk|2.6||Multimedia|212K||vlc-gtk-2.6.pet|+gtkdialog,+rtmpdump,+vlc_nogui,+xdotools|VLC-gtk - simple VLC frontend||||

PET (39KB):
http://distro.ibiblio.org/quirky/pet_packages-noarch/vlc-gtk-2.6.pet